Bug 15882 - Bugz in new rpm
Summary: Bugz in new rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 4.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-09 18:53 UTC by kestes
Modified: 2007-04-18 16:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 19:04:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kestes 2000-08-09 18:53:39 UTC
The configure script in 3.0.5 needs to upgrade the check for db3.h
just like in 4.0


While compiling rpm 4.0 I get this error

gcc -O2 -D_GNU_SOURCE -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wno-char-subscripts -o .libs/dump dump.o
../build/.libs/librpmbuild.so ../lib/.libs/librpm.so -ldb-3.1
../rpmio/.libs/librpmio.so -L/usr/local/lib -L/usr/ucblib -lnsl -lsocket
-lz ../popt/.libs/libpopt.so -R/usr/local/lib -R/usr/ucblib
Undefined                       first referenced
 symbol                             in file
db1basename                         ../lib/.libs/librpm.so
ld: fatal: Symbol referencing errors. No output written to .libs/dump



I would really like it if rpm handled .zip (java jar) files as easily 
as it handled .z and .bz files.  This would require a dependency on
infozip(zip package) as well as bzip2.

Comment 1 Paul Nasrat 2005-06-07 19:04:34 UTC
rpm 3.0.x is EOL.

rpmbuild understands zip compresssed files and uses %{_unzipbin} to uncompress.


Note You need to log in before you can comment on or make changes to this bug.